aMule Forum

Please login or register.

Login with username, password and session length
Advanced search  

News:

We're back! (IN POG FORM)

Author Topic: aMule 2.3.2 on Ubuntu 16.04, someone has compiled a working amule?  (Read 1553 times)

Axl_Mas

  • Jr. Member
  • **
  • Karma: 1
  • Offline Offline
  • Posts: 71

Hi all,

I am using and compiling amule from 2004 :) but this time I can't find a way to have a working aMule 2.3.2 in my lubuntu 16.04.
I tried different wx versions and compiling flags without success...

Before to waste more time could someone confirm that has succeeded installed the 2.3.2 on a ubuntu 16.04 system and with which wxWidgets version?

Many thanks and regards,
Alessio
Logged

GonoszTopi

  • The current man in charge of most things.
  • Administrator
  • Hero Member
  • *****
  • Karma: 163
  • Offline Offline
  • Posts: 2688
Re: aMule 2.3.2 on Ubuntu 16.04, someone has compiled a working amule?
« Reply #1 on: October 07, 2016, 09:57:18 PM »

You need either wxWidgets 2.8.12 or 3.0.2. I suggest you compile wxWidgets yourself too.

aMule 2.3.2 works fine for me on Ubuntu 16.04, with both of the above mentioned wxWidgets versions. I don't know much lubuntu is different, but I don't think it should be a problem.

What do you mean exactly by "without success"? aMule doesn't compile, or it crashes, or something else?
Logged
concordia cum veritate

ItIsMe

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 1
Re: aMule 2.3.2 on Ubuntu 16.04, someone has compiled a working amule?
« Reply #2 on: October 13, 2016, 03:54:16 AM »


In the past there were pre-compiled versions available.
Would be nice if someone can do this again  :)
Logged

myth

  • Global Moderator
  • Hero Member
  • *****
  • Karma: 38
  • Offline Offline
  • Posts: 580
Re: aMule 2.3.2 on Ubuntu 16.04, someone has compiled a working amule?
« Reply #3 on: October 17, 2016, 08:03:07 AM »

You should find all the WXwidget dev packages via apt-get, so no need to compile them necessarily.

Running Arch/Manjaro here right now so I can't look up the precise packages names.
Logged

Axl_Mas

  • Jr. Member
  • **
  • Karma: 1
  • Offline Offline
  • Posts: 71
Re: aMule 2.3.2 on Ubuntu 16.04, someone has compiled a working amule?
« Reply #4 on: October 31, 2016, 06:18:33 PM »

You need either wxWidgets 2.8.12 or 3.0.2. I suggest you compile wxWidgets yourself too.

aMule 2.3.2 works fine for me on Ubuntu 16.04, with both of the above mentioned wxWidgets versions. I don't know much lubuntu is different, but I don't think it should be a problem.

What do you mean exactly by "without success"? aMule doesn't compile, or it crashes, or something else?

Hi GonoszTopi,

I've compiled  with wxWidgets 3.0.2 and different ubuntu derivates (lubuntu 16.04 and 16.10, Mint 8 Mate) with the same problem.

Amule starts and after some seconds begins to be laggy and the internal windows empty (for example if I try to open "preferences".

After one o two minutes the program freezes.
My laptop is 100% stable, it runs 24/7 emule through wine.

With every distro I tried also to use the Ubuntu wxWidgets (no, I didn't install wx twice...) and the compiled amule has the same problem.

I followed this guide http://wiki.amule.org/wiki/HowTo_Compile_In_Debian/Ubuntu

Please find attached some screen-shots.

I had the same problem with amule SVN before the release of  aMule 2.3.2.


« Last Edit: October 31, 2016, 06:20:45 PM by Axl_Mas »
Logged

trekfan1

  • Newbie
  • *
  • Karma: 0
  • Offline Offline
  • Posts: 32
Logged
Sorry for my English, I'm Italian